Subject: Re: bug#57725: 29.0.50; eglot: Error when using :initializationOptions

From: Augusto Stoffel <[email-masked]>
Date: Sat, 17 Sep 2022 13:17:47 +0200

I just submitted a pull request on Github, so that we can see the CI
test results.

    https://github.com/joaotavora/eglot/pull/1038

I guess we can close the ticket there and continue the discussion there.

On Sun, 11 Sep 2022 at 17:38, João Távora wrote:

> Yes, makes sense, but there is another piece of initialization -- good ol command line
> params -- that are also treated the way i described (i'm almost sure, but better confirm).
>
> So it's good to be consistent. If this kind of refreshing from user options is needed for
> debug purposes, the user can simply shutdown and restart instead of eglot-reconnect. At
> least this is what I figured at the time.
>
> On Sun, Sep 11, 2022, 17:33 Augusto Stoffel <[email-masked]> wrote:
>
>  On Sun, 11 Sep 2022 at 17:27, João Távora wrote:
>
>  > Can you suggest an alternative patch so that that second effect also happens?
>  >
>  > João
>  >
>  > On Sun, Sep 11, 2022, 17:26 Augusto Stoffel <[email-masked]> wrote:
>  >
>  >  On Sun, Sep 11, 2022, 18:20 João Távora <[email-masked]> wrote:
>  >
>  >  I almost agree with this fix as is, but maybe we should name the slot. What
>  >  happens if my the connection is restarted, shouldn't the previous
>  >  initializationOptions be reused?
>  >
>  >  Most certainly.
>
>  Actually, I'm not so sure what the best behavior is.  I think reusing
>  the original :initializationOptions is consistent with other behavior in
>  Eglot (is it?), but there's also merit in recomputing/using the current
>  user settings — for instance, if you need to debug the
>  :initializationOptions.